CopyHero

Search Products

GET
/api/v1/product-research/search

Live AliExpress keyword search over the residential proxy pool.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Query Parameters

keyword*Keyword

Search keyword.

Length1 <= length
page?Page

Result page (1-5).

Range1 <= value <= 5
Default1

Response Body

Successful Response

application/json
  1. response

GET /product-research/search — one page of live AliExpress results.

keyword*Keyword
page*Page
total_results?integer|null
page_size?integer|null
items?array<>
ranking_keywords?array<string>
related_product_ids?array<string>
Example Request
curl -X GET 'https://app.copyhero.app/api/v1/product-research/search?keyword=string'
Example Response
{  "keyword": "string",  "page": 0,  "total_results": 0,  "page_size": 0,  "items": [    {      "product_id": "string",      "title": "string",      "product_url": "string",      "sale_price": {        "min_price": 0,        "formatted_price": "string",        "cent": 0,        "currency_code": "string",        "discount": 0      },      "original_price": {        "min_price": 0,        "formatted_price": "string",        "cent": 0,        "currency_code": "string",        "discount": 0      },      "sold_count": 0,      "sold_text": "string",      "rating": 0,      "image_url": "string",      "images": [        "string"      ],      "is_ad": true,      "is_choice": true,      "category_id": "string",      "launch_time": "string",      "delivery_info": "string"    }  ],  "ranking_keywords": [    "string"  ],  "related_product_ids": [    "string"  ]}